export declare class IndexCarousel {
    private static isValidLength;
    private length;
    private _current;
    constructor(length: number, start?: number);
    get current(): number;
    set current(value: number);
    next(): number;
    prev(): number;
    reset(newLength?: number): void;
}
